Subject: Re: Cygwin1.dll 1.5.19: race condition & deadlock with fifos
From: Barry Kelly <[email-masked]>
To: Brian Dessent <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 Jun 2006 02:42:24 +0100

On Sun, 11 Jun 2006 18:23:22 -0700, you wrote:

> Barry Kelly wrote:
> 
> > This code, without a delay, causes a deadlock and both active spawned
> > bash processes (the forked one reading from the fifo and the
> > backgrounded one) need to be killed explicitly:
> > 
> > ---8<---
> > ~/test-fifo$ rm fifo
> > ~/test-fifo$ mkfifo fifo
> > ~/test-fifo$ ((echo foo >fifo)&); echo Read: $(<fifo)
> > --->8---
> 
> This works fine for me, no hang -- but I use a recent CVS build.  Have
> you tried the latest shapshot?

I have just tried:

        DLL version: 1.5.20
...
        Build date: Sun Jun 4 16:35:33 EDT 2006
        Snapshot date: 20060604-16:33:54

And I find it has fixed the problem. Thanks!

Is there any indication as to how long before 1.5.20 will be fully
released? I don't want to risk running under a CVS snapshot except for
this test.

-- Barry

-- 
http://barrkel.blogspot.com/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/